Node unable to join elasticsearch cluster


(Blessings Mgabe Mwafulirwa) #1

Hello Folks!
am kinda new to elastic to forgive me if i have asked something that is obvious,
i am trying to set up a cluster on windows, i tried with two nodes of elastic version elasticsearch-6.2.3, all was well and it worked.
then i removed one node from the cluster and added another node running elasticsearch 5.4.0 (which i configured as the master) and it just does not work.
my question is, is it possible to set up a cluster with two different version of elasticsearch?


(Mark Walkom) #2

You cannot mix versions like that sorry to say.

What are you trying to do?


(Blessings Mgabe Mwafulirwa) #3

the reason is that we have an older elastic 5.4.0 in production, but we want to add another node, prefferably the latest release. hence mixed the versions.


(Mark Walkom) #4

You can mix 5.6.X and 6.X, but the expectation there is that you are doing this to upgrade to 6.X and not run a mixed version cluster.


(Blessings Mgabe Mwafulirwa) #5

oh okay alright warkolm. i am enlightened, will do that then.
thanks for the speedy assistance!


(system) #6

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.